Summary:	Converts PPM files to the format used by the Citizen Printiva series printers
Name:		ppmtocpva
Version:	1.0
Release:	%mkrel 22
License:	GPL
Group:		System/Printing
URL:		https://www.stevens-bradfield.com/ppmtomd/
Source0:	https://www.dcs.ed.ac.uk/home/jcb/ppmtocpva-%{version}.tar.bz2
Patch0:		ppmtocpva-1.0-includes.patch
Patch1:		ppmtocpva-1.0-netpbm.patch
Patch2:		ppmtocpva-1.0-LDFLAGS.diff
BuildRequires:	netpbm-devel

%description
This program converts PPM files to the format used by the Citizen Printiva
series printers and some printers of the Alps MD series.

%prep

%setup -q
%patch -P 0 -p1 -b .includes
%patch -P 1 -p1
%patch -P 2 -p0

# fix attribs
chmod 644 *

%build

%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}

install -m0755 ppmtocpva %{buildroot}%{_bindir}/
install -m0755 cpva-colour %{buildroot}%{_bindir}/

%files
%doc README
%attr(0755,root,root) %{_bindir}/*




%changelog
* Fri Oct 04 2024 ns80 <ns80> 1.0-22.mga10
+ Revision: 2103261
- try to fix building with GCC 14

* Mon Mar 28 2022 umeabot <umeabot> 1.0-21.mga9
+ Revision: 1830961
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0-20.mga8
+ Revision: 1516164
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0-19.mga7
+ Revision: 1300363
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.0-18.mga6
+ Revision: 941057
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-17.mga5
+ Revision: 738874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-16.mga5
+ Revision: 687759
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-15.mga4
+ Revision: 517630
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-14.mga3
+ Revision: 378146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.0-13.mga2
+ Revision: 217655
- rebuild for netpbm

* Wed Feb 23 2011 ennael <ennael> 1.0-12.mga1
+ Revision: 57940
- clean spec file
- imported package ppmtocpva


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-12mdv2011.0
+ Revision: 607201
- rebuild

* Sat Jan 16 2010 Jérôme Brenier <incubusss@mandriva.org> 1.0-11mdv2010.1
+ Revision: 491945
- fix netpbm includes

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0-10mdv2010.0
+ Revision: 426776
- rebuild

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-9mdv2009.1
+ Revision: 319082
- use %%ldflags (P2)

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-8mdv2009.0
+ Revision: 234062
- rebuild
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2008.1
+ Revision: 179257
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2008.0
+ Revision: 75356
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdv2008.0
+ Revision: 64175
- use the new System/Printing RPM GROUP

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 1.0-2mdv2008.0
+ Revision: 63107
- fix description

* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.0
+ Revision: 63076
- Import ppmtocpva



* Tue Aug 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.0
- initial Mandriva package
